<!--
 Copyright (C) 2024 bAvenir

 This program and the accompanying materials are made
 available under the terms of the Eclipse Public License 2.0
 which is available at https://www.eclipse.org/legal/epl-2.0/

 SPDX-License-Identifier: EPL-2.0
-->

<div class="w-full h-full pb-16 pr-3">
  <p-tabView *ngIf="noIteractions">
    <p-tabPanel [disabled]="true">
      <ng-template pTemplate="header">
        <div>{{ propertiesCountInflected }}</div>
      </ng-template>
    </p-tabPanel>
    <p-tabPanel [disabled]="true">
      <ng-template pTemplate="header">
        <div>{{ eventsCountInflected }}</div>
      </ng-template>
    </p-tabPanel>
  </p-tabView>
  <p-tabView *ngIf="!noIteractions" [(activeIndex)]="activeIndex">
    <p-tabPanel [disabled]="propertiesCount <= 0">
      <ng-template pTemplate="header">
        <div>{{ propertiesCountInflected }}</div>
      </ng-template>
      <p-dataView #propertiesList [value]="properties">
        <ng-template pTemplate="list" let-properties>
          <div
            *ngFor="let prop of properties; let first = first"
            class="w-full border-b border-borderGrey px-4 py-6"
            [ngClass]="{ 'pt-1': first }"
          >
            <div class="flex items-center gap-10 justify-between max-w-[800px]">
              <app-prop-preview [item]="item" [prop]="prop"></app-prop-preview>
              <div class="flex items-center gap-4">
                <p-button severity="secondary" (click)="goToPropConsumption(prop)">
                  <div class="flex items-center gap-3">
                    <i class="fa fa-database" style="font-size: 1rem"></i>
                    <div class="font-semibold text-base leading-none">Consumption</div>
                    <i class="pi pi-chevron-right" style="font-size: 0.8rem"></i>
                  </div>
                </p-button>
              </div>
            </div>
          </div>
        </ng-template>
      </p-dataView>
    </p-tabPanel>
    <p-tabPanel [disabled]="eventsCount <= 0">
      <ng-template pTemplate="header">
        <div>{{ eventsCountInflected }}</div>
      </ng-template>
      <p-dataView [value]="events">
        <ng-template pTemplate="list" let-events>
          <div
            *ngFor="let event of events; let first = first"
            class="w-full border-b border-borderGrey px-4 py-6"
            [ngClass]="{ 'pt-1': first }"
          >
            <div class="flex items-center gap-10 justify-between max-w-[800px]">
              <app-event-preview [item]="item" [event]="event"></app-event-preview>
              <div class="flex items-center gap-4">
                <!-- <p-button severity="secondary" (click)="goToEventSubscription(event)">
                  <div class="flex items-center gap-3">
                    <i class="fa fa-bell" style="font-size: 1rem"></i>
                    <div class="font-semibold text-base leading-none">Subscription</div>
                    <i class="pi pi-chevron-right" style="font-size: 0.8rem"></i>
                  </div>
                </p-button> -->
                <app-event-subscription [item]="item" [event]="event" />
              </div>
            </div>
          </div>
        </ng-template>
      </p-dataView>
    </p-tabPanel>
  </p-tabView>
  <div *ngIf="noIteractions" class="text-text-500 px-10">This item has no interactions</div>
</div>
